html {
    scroll-behavior: smooth;
}

body {
    margin: 0 auto;
    overflow-x: hidden;
/*     background-color: rgba(43, 43, 43, 1); */
}

a.nav-link, a.nav-link:visited {
    color: white;
    text-decoration: none;
}

h3 {
    margin: 0;
    padding: 0;
    font-size: 26px;
    font-family: sans-serif;
    line-height: 24px;
}

#bg-circle1 {
    display: none;
    z-index: -100;
    position: absolute;
    top: -700px;
    left: -1000px;
    width: 700px;
    height: 700px;
    border-radius: 50%;
    box-shadow: 700px 700px 700px rgba(54, 128, 177, .3);
}

#bg-circle2 {
    display: none;
    z-index: -101;
    position: absolute;
    top: 0px;
    left: -550px;
    width: 700px;
    height: 700px;
    border-radius: 50%;
    box-shadow: 700px 700px 700px rgba(54, 177, 81, .3);
}

#bg-circle3 {
    display: none;
    z-index: -101;
    position: absolute;
    top: -700px;
    left: -150px;
    width: 700px;
    height: 700px;
    border-radius: 50%;
    box-shadow: 700px 700px 700px rgba(54, 128, 177, .3);
}

#bg-circle4 {
    display: none;
    z-index: -101;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 700px;
    height: 700px;
    border-radius: 50%;
    box-shadow: 700px 700px 700px rgba(54, 177, 81, .3);
}

/*#header-wrapper {
    z-index: 1;
    
/*     position: sticky; */
/*    top: 0;
    background-color: rgba(43, 43, 43, 0.97);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    padding-bottom: 20px;
}*/

/*#left-menu-wrapper {
    display: grid;
    grid-template-columns: repeat(14, [col-start] 1fr);
    gap: 20px;
    position: sticky;
    z-index: -1;
    top: 0px;
    left: 0px;
}*/

#overlay {
    overflow-anchor: none;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 2;
    box-sizing: border-box;
    pointer-events: none;
}

#overlay > * {
    pointer-events: auto;
}

#topbar {
    display: grid;
    grid-template-columns: repeat(12, [col-start] 1fr);
    gap: 8px;
    position: sticky;
    top: 0px;
    left: 0px;
    border-width: 0px;
    background-color: #454545;
/*     background: linear-gradient(#383838, #2b2b2b); */
/*     background-color: rgba(43, 43, 43, 1); */
/*     border-color: rgba(43, 43, 43, 1); */
    border-style: solid;
    border-bottom-width: 1px; 
/*     overflow: hidden; */
    width: 100%;
/*     height: 128px; */
    padding-top: 8px;
    padding-bottom: 8px;
/*     background-color: white; */
    z-index: 1;
}

/*.topbar-closed.animate-closing {
    animation: 0s ease-in-out 0s forwards topbar-closing;
}

@keyframes topbar-closing {
    from {
        height: 136px;
    }
    to {
        height: 100%;
    }
}

.topbar-open.animate-opening {
    animation: 0s ease-in-out 0s forwards topbar-opening;
}

@keyframes topbar-opening {
    from {
        height: 100%;
    }
    to {
        height: 136px;
    }
}*/

#profile-img-container {
/*     display: block; */
/*     float: left; */
    /*grid-column: col-start 2 / span 1;
    grid-row: 2;*/
/*     float: left; */
/*     position: fixed; */
/*     top: 8px; */
/*     left: 8px; */
    grid-column: col-start 1 / span 1;
    grid-row: 1;
    border-width: 1px;
/*     border-color: #7f7f7f; */
    border-color: black;
    border-style: solid;
    border-radius: 16px;
    overflow: hidden;
    width: 128px;
    height: 128px;
    margin-left: 8px;
    z-index: 2;
/*     margin-right: 32px; */
/*     z-index: 1;  */
/*     perspective-origin: top left; */
/*     transform: perspective(1cm) rotateY(5deg); */
/*     align-self: start; */
}

.profile-img-container-closed.animate-closing {
    animation: 1s ease-in-out 0s forwards profile-img-container-closing;
}

@keyframes profile-img-container-closing {
    from {
        width: 128px;
        height: 128px;
/*         margin-right: 64px; */
/*         transform: perspective(10cm) rotateY(0deg); */
    }
    to {
        width: 64px;
        height: 64px;
/*         margin-right: 32px; */
/*         transform: perspective(10cm) rotateY(45deg); */
    }
}

.profile-img-container-open.animate-opening {
    animation: 1s ease-in-out 0s forwards profile-img-container-opening;
}

@keyframes profile-img-container-opening {
    from {
        width: 64px;
        height: 64px;
/*         margin-right: 32px; */
/*         transform: perspective(10cm) rotateY(45deg); */
    }
    to {
        width: 128px;
        height: 128px;
/*         margin-right: 64px; */
/*         transform: perspective(10cm) rotateY(0deg); */
    }
}

#profile-img {
/*     margin-top: -10px; */
    width: 128px;
    height: 128px;
}

.profile-img-closed.animate-closing {
    animation: 1s ease-in-out 0s forwards profile-img-closing;
}

@keyframes profile-img-closing {
    from {
        width: 128px;
        height: 128px;
    }
    to {
        width: 64px;
        height: 64px;
    }
}

.profile-img-open.animate-opening {
    animation: 1s ease-in-out 0s forwards profile-img-opening;
}

@keyframes profile-img-opening {
    from {
        width: 64px;
        height: 64px;
    }
    to {
        width: 128px;
        height: 128px;
    }
}

#main-head {
/*     background-color: rgba(43, 43, 43, 1); */
    grid-column: col-start 3 / span 10;
    grid-row: 1;
    margin-top: 0px;
    padding-top: 0px;
    align-self: center;
/*     padding-bottom: 40px; */
}

.main-nav {
    opacity: 1;
    display: inline;
    float: right;
    border-style: solid;
    border-width: 1px;
    border-color: white;
    border-radius: 64px;
/*     border-inline: 1px solid black; */
    height: 64px;
    width: inherit;
    padding: 0px 0px;
    margin-right: 8px;
/*     margin-top: -1px; */
    box-shadow: 1px 0px 0px black, -1px 0px 0px black, 0px 1px 0px black, 0px -1px 0px black;
    text-shadow: black 1px 0px 0px, black -1px 0px 0px, black 0px 1px 0px, black 0px -1px 0px;
/*                     black 1px 1px 0px, black -1px -1px 0px, black 1px -1px 0px, black -1px 1px 0px, */
/*                     black 2px 0px 0px, black -2px 0px 0px, black 0px 2px 0px, black 0px -2px 0px; */
}

.main-nav-inline {
    opacity: 0;
    float: right;
    margin-bottom: -66px;
    margin-left: -172px;
    position: relative;
    left: -1px;
    top: 1px;
/*     padding-top: 4px; */
/*     position: absolute; */
/*     margin-left: 1px; */
    border-style: solid;
    border-width: 1px;
    border-color: black;
    border-radius: 62px;
    padding: 0px 0px;
/*     width: 62px; */
    width: 0px;
    height: 62px;
/*     width: inherit; */
/*     margin-top: 1px; */
/*     margin-left: 1px; */
    margin-right: 8px;
    z-index: -1;
}

.main-nav-inline.show {
    opacity: 1;
}

/*.main-nav-inline > * {
    opacity: 0;
    font-size: 30px;
    font-family: sans-serif;
    color: white;
}

.main-nav-inline.mobile-nav-closed {
    width: 62px;
    height: 62px;
    border-radius: 50%;
}

.main-nav-inline.mobile-nav-closed.mobile-nav-animate-closing {
    animation: 1s ease-in-out 0s 1 mobile-nav-closing;
}

@keyframes mobile-nav-closing {
    from {
        width: 158px;
        height: 268px;
        border-radius: 14px;
    }
    to {
        width: 62px;
        height: 62px;
        border-radius: 50%;
    }
}

.main-nav-inline.mobile-nav-open {
    width: 158px;
    height: 268px;
    border-radius: 14px;
}

.main-nav-inline.mobile-nav-open.mobile-nav-animate-opening {
    animation: 1s ease-in-out 0s 1 mobile-nav-animate-opening;
}

@keyframes mobile-nav-animate-opening {
    from {
        width: 62px;
        height: 62px;
        border-radius: 50%;
    }
    to {
        width: 158px;
        height: 268px;
        border-radius: 14px;
    }
}*/

/*.main-nav-closed {
    margin-top: 0px;
}

.main-nav-closed.animate-closing {
    animation: 1s ease-in-out 0s 1 main-nav-closing;
}

@keyframes main-nav-closing {
    from {
        margin-top: 32px;
    }
    to {
        margin-top: 0px;
    }
}

.main-nav-open {
    margin-top: 32px;
}

.main-nav-open.animate-opening {
    animation: 1s ease-in-out 0s 1 main-nav-opening;
}

@keyframes main-nav-opening {
    from {
        margin-top: 0px;
    }
    to {
        margin-top: 32px;
    }
}*/

.main-nav > * {
    font-size: 30px;
    font-family: sans-serif;
    color: white;
}

.mobile-nav-closed {
    width: 64px;
    height: 64px;
    border-radius: 32px;
/*     margin-top: 32px; */
/*     padding-top: 0px; */
}

.mobile-nav-closed.mobile-nav-animate-closing {
    animation: 1s ease-in-out 0s 1 mobile-nav-closing;
}

@keyframes mobile-nav-closing {
    from {
        width: 160px;
        height: 270px;
        border-radius: 16px;
/*         margin-top: 0px; */
/*         padding-top: 32px; */
    }
    to {
        width: 64px;
        height: 64px;
        border-radius: 32px;
/*         margin-top: 32px; */
/*         padding-top: 0px; */
    }
}

.mobile-nav-open {
    width: 160px;
    height: 270px;
    border-radius: 16px;
    /*     margin-top: 0px; */
/*     padding-top: 32px; */
}

.mobile-nav-open.mobile-nav-animate-opening {
    animation: 1s ease-in-out 0s 1 mobile-nav-animate-opening;
}

@keyframes mobile-nav-animate-opening {
    from {
        width: 64px;
        height: 64px;
        border-radius: 32px;
/*         margin-top: 32px; */
/*         padding-top: 0px; */
    }
    to {
        width: 160px;
        height: 270px;
        border-radius: 16px;
/*         margin-top: 0px; */
/*         padding-top: 32px; */
    }
}

.hamburger-icon-container:hover {
    cursor: pointer;
}

.hamburger-icon-container-closed {
    font-size: 64px;
    font-family: sans-serif;
    width: 64px;
    height: 64px;
    margin-left: auto;
    margin-right: 0px;
    border-radius: inherit;
}

.hamburger-icon-container-open {
/*     animation: 1s linear 1s forwards hamburger-icon-container-opening; */
    font-size: 40px;
    font-family: sans-serif;
    opacity: 1;
    width: 64px;
    height: 64px;
    padding: 0px 0px;
    margin-left: auto;
    margin-right: 0px;
    border-radius: 50%;
}

/*@keyframes hamburger-icon-container-opening {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}*/

.hamburger-icon {
    font-size: 40px;
    margin: 0;
    padding: 0;
    text-align: center;
    -webkit-user-select: none;
    user-select: none;
}

.hamburger-icon-closed {
    position: relative;
    top: 12px;
    line-height: 12px;
}

.hamburger-icon-open {
    line-height: 64px;
}

.mobile-nav-li-closed {
    display: none;
    opacity: 0%;
}

.mobile-nav-li-open {
    animation: 1s ease-in-out 1s forwards mobile-nav-li-opening;
    display: block;
    opacity: 0%;
    padding: 16px 16px;
}

@keyframes mobile-nav-li-opening {
    from {
        opacity: 0%;
    }
    to {
        opacity: 100%;
    }
}

#selected-nav-item {
    color: #707070;
}

#wrapper {
    overflow-anchor: none;
    display: grid;
    grid-template-columns: repeat(12, [col-start] 1fr);
    gap: 8px;
}

#content-container {
/*     clear: both; */
    grid-column: col-start 2 / span 10;
    grid-row: 2;
    /*border-width: 0px;
    border-color: rgba(43, 43, 43, 1);
    border-style: solid;
    border-left-width: 1px;*/
    padding-top: 32px;
/*     padding-left: 8px; */
/*     padding-right: 8px; */
}

.content-container-closed.animate-closing {
    animation: 0.5s ease-in-out 0s forwards content-container-closing;
}

@keyframes content-container-closing {
    from {
/*         grid-column: col-start 2 / span 11; */
/*         margin-right: 64px; */
/*         transform: perspective(10cm) rotateY(0deg); */
    }
    to {
/*         grid-column: col-start 3 / span 10; */
/*         margin-right: 32px; */
/*         transform: perspective(10cm) rotateY(45deg); */
    }
}

.content-container-open.animate-opening {
    animation: 0.5s ease-in-out 0s forwards content-container-opening;
}

@keyframes content-container-opening {
    from {
/*         grid-column: col-start 3 / span 10; */
/*         margin-right: 64px; */
/*         transform: perspective(10cm) rotateY(0deg); */
    }
    to {
/*         grid-column: col-start 2 / span 11; */
/*         margin-right: 32px; */
/*         transform: perspective(10cm) rotateY(45deg); */
    }
}

#content-container > * {
    font-size: 24px;
    font-family: serif;
}

.content-icon-container-img {
/*     margin-right: 16px; */
    width: 64px;
    height: 64px;
    border-radius: 16px;
    overflow: hidden;
    border-width: 1px;
    border-color: black;
    border-style: solid;
    opacity: 1;
/*     z-index: auto; */
}

.content-icon-container-folder {
    width: 128px;
    height: 64px;
    border-radius: 16px;
    overflow: hidden;
    border-width: 1px;
    border-color: black;
    border-style: solid;
    opacity: 1;
/*     z-index: auto; */
}

.content-icon-img {
    width: 64px;
    height: 64px;
    position: relative;
    background-color: white;
}

.content-icon-folder {
    height: 64px;
    width: 128px;
    position: relative;
    background-color: white;
}

.content-folder-back {
    background-color: #708eb9;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    margin-top: 12px;
    margin-left: 12px;
/*     z-index: 1; */
    position: absolute;
}

.content-folder-front {
    background-color: #8fb6ed;
    width: 48px;
    height: 32px;
    border-radius: 4px;
    margin-top: 20px;
    margin-left: 8px;
    text-align: center;
    font-size: 18px;
    position: absolute;
    line-height: 32px;
   /* top: 0px;
    left: 0px;*/
}

.content-folder-text {
    line-height: 64px;
    font-size: 24px;
    padding-left: 76px;
    font-family: sans-serif;
}

.animating-to-top-appear {
    opacity: 1;
}

.animating-to-content-disappear {
    opacity: 0;
}

.content-header-main {
    font-size: 26px;
    font-family: sans-serif;
}

.content-header-sub {
    font-size: 20px;
    font-family: sans-serif;
}

.content-img-container {
    border-radius: 32px;
    box-shadow: 32px 32px 192px #2b2b2b;
    overflow: hidden;
    width: 256px;
    height: 320px;
    margin-left: 64px;
    margin-right: 64px;
    margin-bottom: 32px;
}

.content-header-img {
    border-radius: 16px;
    box-shadow: none;
    height: 520px;
    width: 320px;
    margin: 0px auto;
    padding: 0px;
/*     transform: perspective(3cm) rotateX(5deg); */
}

.content-header-img > * {
    
}

.left-container {
/*     float: left; */
    margin: 0px auto;
}

.right-container {
/*     float: right; */
    margin: 0px auto;
}

.code-container {
    position: relative;
    box-sizing: border-box;
    border-radius: 32px;
    box-shadow: 32px 32px 192px #2b2b2b;
    margin-left: 0px;
    margin-right: 32px;
    margin-bottom: 32px;
    padding-left: 32px;
    padding-right: 32px;
    padding-top: 16px;
    padding-bottom: 50px;
    width: 280px;
    height: 280px;
    background-color: rgba(43, 43, 43, 1);
    overflow: hidden;
}

.code-window-bar {
/*     box-shadow: 0px 0px 30px black; */
    margin-top: -16px;
    margin-left: -32px;
    background-color: rgba(43, 43, 43, 1);
    height: 32px;
    width: 560px;
}

.code-window-bar-maximized {
/*     top: 0; */
/*     left: 0; */
}

.code-buttons {
    width: 248px;
}

.code-close {
    float: right;
    color: white;
    font-size: 32px;
    font-family: sans-serif;
    margin-top: 0px;
    line-height: 32px;
    width: 16px;
    height: 16px;
    /*-webkit-user-select: none;
    user-select: none;*/
}

.code-maximize {
    float: right;
    border-radius: 4px;
    border-width: 2px;
    border-style: solid;
    border-color: white;
/*     margin-right: 16px; */
    margin-top: 7px;
    width: 16px;
    height: 16px;
    cursor: pointer;
}

.code-minimize {
    float: right;
    border-radius: 4px;
    border-width: 1px;
    border-style: solid;
    border-color: white;
    background-color: white;
    margin-right: 16px;
    margin-top: 23px;
    width: 16px;
    height: 1px;
}

.code-scroll {
/*     box-sizing: border-box; */
/*     padding-left: 32px; */
/*     padding-right: 18px; */
/*     padding-bottom: 18px; */
    width: 216px;
    height: 216px;
    overflow: scroll;
}

.code-scroll-maximized {
/*     padding: 0; */
}

.code-sample {
    font-size: 18px;
/*     color: #7f7f7f; */
    /* color: #cfcfc2 */
    color: white;
    width: auto;
    margin: 0;
    padding: 0;
}

.code {
    margin: 0;
    padding: 0;
}

.code > .keyword {
    font-weight: bold;
    color: #8fed8f;
}

.code > .control-flow {
    font-weight: bold;
    color: #edd58f;
}

.code > .function {
    font-weight: bold;
    color: #ee82ee;
}

.code > .type {
    color: white;
}

.code > .string {
    color: #ed8f8f;
}

.code > .comment {
    color: #8fb6ed;
}

.paragraph {
    /*position: relative;
    left: 32px;*/
}

/*#footer-wrapper {
    display: grid;
    grid-template-columns: repeat(12, [col-start] 1fr);
    gap: 20px;
}*/

#footer-wrapper {
    grid-column: col-start 1 / span 12;
    grid-row: 4;
    border-color: rgba(43, 43, 43, 1);
    border-width: 0;
    border-top-width: 1px;
    border-style: solid;
    margin-left: 8px;
    margin-right: 8px;
}

#copyright {
    font-size: 18px;
    text-align: center;
}

@media (min-width: 960px) {
    .main-nav-wide {
        float: none;
        display: flex;
        align-items: center;
        justify-content: center;
        width: auto;
        border-radius: 64px;
    }
    
    /*.main-nav-inline.main-nav-wide {
        position: relative;
        left: 1px;
        top: -1px;
        margin-bottom: -66px;
        margin-left: 0px;
        width: auto;
        border-radius: 62px;
    }*/

    .main-nav-narrowing {
        animation: 1s ease-in-out 0s forwards main-nav-narrowing;
    }

    @keyframes main-nav-narrowing {
        from {
            float: none;
            display: flex;
            width: auto;
            align-items: center;
            justify-content: center;
            border-radius: 64px;
        }
        to {
            display: inline;
            float: right;
            width: 64px;
            align-items: none;
            justify-content: none;
            border-radius: 32px;
        }
    }

    .main-nav-widening {
        animation: 1s ease-in-out 0s forwards main-nav-widening;
    }

    @keyframes main-nav-widening {
        from {
            display: inline;
            float: right;
            width: 64px;
            align-items: none;
            justify-content: none;
            border-radius: 32px;
        }
        to {
            float: none;
            display: flex;
            width: auto;
            align-items: center;
            justify-content: center;
            border-radius: 64px;
        }
    }
    
    .main-nav-narrowing-finished {
        opacity: 1;
    }
    
    .main-nav-widening-finished {
        opacity: 1;
    }
    
    .main-nav-inline-widening-finished {
        opacity: 1;
    }
    
    .main-nav-wide > * {
        display: inline;
        margin: 64px;
        opacity: 1;
    }
    
    .main-nav-li-narrowing {
        animation: 1s ease-in-out 0s forwards main-nav-li-narrowing;
    }

    @keyframes main-nav-li-narrowing {
        from {
            display: inline;
            margin: 64px;
            opacity: 1;
        }
        to {
            display: block;
            margin: 0px;
            opacity: 0;
        }
    }

    .main-nav-li-widening {
        animation: 1s ease-in-out 0s forwards main-nav-li-widening;
    }

    @keyframes main-nav-li-widening {
        from {
            display: block;
            margin: 0px;
            opacity: 0;
        }
        to {
            display: inline;
            margin: 64px;
            opacity: 1;
        }
    }
    
    .hamburger-icon-container-wide {
        display: none;
    }
    
    .hamburger-icon-container-narrowing {
        animation: 1s ease-in-out 0s forwards hamburger-icon-container-narrowing;
    }

    @keyframes hamburger-icon-container-narrowing {
        from {
            display: none;
            
        }
        to {
            display: inherit;
        }
    }

    .hamburger-icon-container-widening {
        animation: 1s ease-in-out 0s forwards hamburger-icon-container-widening;
    }

    @keyframes hamburger-icon-container-widening {
        from {
            display: inherit;
        }
        to {
            display: none;
        }
    }
    
    .hamburger-icon-wide {
        display: none;
    }
    
    .hamburger-icon-narrowing {
        animation: 1s ease-in-out 0s forwards hamburger-icon-narrowing;
    }

    @keyframes hamburger-icon-narrowing {
        from {
            display: none;
            
        }
        to {
            display: inherit;
        }
    }

    .hamburger-icon-widening {
        animation: 1s ease-in-out 0s forwards hamburger-icon-widening;
    }

    @keyframes hamburger-icon-widening {
        from {
            display: inherit;
        }
        to {
            display: none;
        }
    }
    
    /*#profile-img-placeholder-container {
        width: 128px;
        height: 128px;
    }*/
    
    /*.profile-img-placeholder-container-closed.animate-closing {
        animation: 1s ease-in-out 0s forwards profile-img-placeholder-container-closing;
    }

    @keyframes profile-img-placeholder-container-closing {
        from {
            width: 128px;
        }
        to {
            width: 64px;
        }
    }
    
    .profile-img-placeholder-container-open.animate-opening {
        animation: 1s ease-in-out 0s forwards profile-img-placeholder-container-opening;
    }

    @keyframes profile-img-placeholder-container-opening {
        from {
            width: 64px;
        }
        to {
            width: 128px;
        }
    }*/
    
    /*.profile-img-container-closed.animate-closing {
        animation: none;
    }
    
    .profile-img-container-closed.animate-opening {
        animation: none;
    }
    
    .profile-img-closed.animate-closing {
        animation: none;
    }
    
    .profile-img-closed.animate-opening {
        animation: none;
    }*/
    
    .left-container {
        float: left;
    }
    
    .right-container {
        float: right;
    }
}
